@charset "utf-8";
/*代码格式化*/
pre{ padding:.5em 1em;width:92%;background-color:#FDF6E3;rgb(248,248,222);overflow-x:auto;text-indent:0!important;}
pre code{font-size:14px;line-height:1.4;border:none;}
pre , code{font-family:Monaco,"Bitstream Vera Sans Mono",Consolas,"Lucida Console", monospace;}
/*标题更正*/
.dayTitle { 
  font-weight: normal; line-height: 3; margin-bottom: -35px; text-align:right; 
  border:none; border-top:1px solid #666; 
  display:none;
}
.postTitle { 
  font-size: 2em; font-family:PMingLiu; line-height: 2;
  border-top:1px solid #666;
}
.postTitle a:hover:before { content:'\261e';}
.postTitle a { color:#226;font-size:25px;line-height:2; }
.postTitle a:hover { }
#cnblogs_post_body ol li{ list-style-type: decimal; }
.postBody p, .postCon p{ margin: 5px auto 1em; }
div.day:first-child .postTitle{border-top:none;}
.postTitle{border-color:#ccc;}
/*加强*/
textarea:hover, textarea:focus, pre:hover, blockquote:hover{
	-webkit-box-shadow:0 0 4px rgba(0,22,0,.8); -moz-box-shadow:0 0 4px rgba(0,22,0,.8);box-shadow:0 0 4px rgba(0,22,0,.8);
	}
input, textarea, pre{ 
	-webkit-border-radius:4px; -moz-border-radius:4px; border-radius:4px; 
	}

h1,h2,h3,h4{color:#888;}
::selection{background:#9c2;}
::-moz-selection {background: #9c2;}

th{padding: 5px;}
body {font:14px "微软雅黑";color:#555;}
.postBody{font-size:16px;line-height:1.8;color:#333;}
.c_b_p_desc pre{margin-left:1em;}

.gist{font-size:12px;}
.gist,pre{line-height:1.4;}
.gist pre:hover{
  -moz-box-shadow:none;-webkit-box-shadow:none;box-shadow:none;
}

article img {
	box-shadow: #ccc 0 0 10px;
	display: block;
	margin: 0 auto;
}
code {
	background-color: ghostWhite;
	color: #444;
	padding: 0 .2em;
	border: 1px solid #dedede;
}
article strong{color:#555;}

/* highlight.js/solarized */
pre code { display: block; padding: 0.5em; background: #fdf6e3; color: #657b83; }
pre .comment, pre .template_comment, pre .diff .header, pre .doctype, pre .lisp .string, pre .javadoc { color: #93a1a1; font-style: italic; }
pre .keyword, pre .css .rule .keyword, pre .winutils, pre .javascript .title, pre .method, pre .addition, pre .css .tag, pre .lisp .title { color: #859900; }
pre .number, pre .command, pre .string, pre .tag .value, pre .phpdoc, pre .tex .formula, pre .regexp, pre .hexcolor { color: #2aa198; }
pre .title, pre .localvars, pre .function .title, pre .chunk, pre .decorator, pre .builtin, pre .built_in, pre .lisp .title, pre .identifier, pre .title .keymethods, pre .id { color: #268bd2; }
pre .tag .title, pre .rules .property, pre .django .tag .keyword { font-weight: bold; }
pre .attribute, pre .variable, pre .instancevar, pre .lisp .body, pre .smalltalk .number, pre .constant, pre .class .title, pre .parent, pre .haskell .label { color: #b58900; }
pre .preprocessor, pre .pi, pre .shebang, pre .symbol, pre .diff .change, pre .special, pre .keymethods, pre .attr_selector, pre .important, pre .subst, pre .cdata { color: #cb4b16; }
pre .deletion { color: #dc322f; }
pre .tex .formula { background: #eee8d5; }